
@keyframes blink { from {opacity: 1;} to {opacity: 0.2;} };
@keyframes mover {
    0% { transform: translateY(0); }
    100% { transform: translateY(-10px); }
}

.f11layout {
    position: fixed;
    z-index: 1000;
    top: 0px;
    left: 0px;
    display: block;
    width: 100%;
    height: 100%;
    user-select: none;
    pointer-events: none;
    &__name {
        position: absolute;
        top: 18px;
        right: 14px;
        display: block;
        width: fit-content;
        min-width: 100px;
        // max-width: 170px;
        max-width: auto;
        height: 45px;
        line-height: 45px;
        padding: 0px 10px;
        background-color: rgba(0,0,0,0.7);
        border-radius: 15px;
        color: #FFFFFF;
        font-size: 20px;
        text-align: center;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    &__home {
        position: absolute;
        top: 50%;
        right: 14px;
        transform: translate3d( 0%, -50%, 0);
        display: block;
        user-select: auto;
        pointer-events:  all;
    }
    &__scroll {
        position: absolute;
        bottom: 20px;
        left: 50%;
        transform: translate3d( -50%, 0, 0);

        animation: mover 1s infinite alternate;
        // animation: blink 0.7s ease-in-out alternate infinite;
        &.hide {
            display: none;
        }
    }
}
